use dioxus::prelude::*;
use crate::components::void_buttons::NavigationButton;

pub fn Footer(cx: Scope) -> Element {
    cx.render(rsx! {
        MutantStandardFooter {}
    })
}

fn MutantStandardFooter(cx: Scope) -> Element {
    cx.render(rsx!{
        div { class: "p-4 flex flex-col space-y-4 mx-auto max-w-full justify-center ring-4",
            NavigationButton { title: "⚙️".to_string(), slug: "/settings".to_string() }
            div { class: "flex mx-auto max-w-full justify-center text-md text-center",
                "This site uses Mutant Standard emoji, which are licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
            }
        }
    })
}
